# Spring Boot Application YAML Configuration
# WARNING: Contains database credentials and API keys

spring:
  datasource:
    url: jdbc:postgresql://applicationyml-db.internal:5432/applicationyml_production
    username: applicationyml_user
    password: ApplicationYmlPassword2024!Secret
    driver-class-name: org.postgresql.Driver
  
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.PostgreSQLDialect
  
  redis:
    host: redis-applicationyml.internal
    port: 6379
    password: RedisApplicationYmlPass2024!Secret

# API Configuration (EXPOSED)
api:
  key: application-yml-api-key-abc123def456
  jwt:
    secret: application-yml-jwt-secret-xyz789
  stripe:
    secret-key: sk_live_application_yml_key_abc123def456

# AWS Configuration
aws:
  access-key-id: AKIAIOSFODNN7EXAMPLE
  secret-access-key: wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY
  region: us-east-1

# Server Configuration
server:
  port: 8080
  servlet:
    context-path: /

# Logging
logging:
  level:
    root: INFO
    com.example: DEBUG

